CREATE OR ALTER  VIEW "IDM_RPT_DATA"."IDMRPT_CORR_RES_ASSIGNMENT_V" ("EVENT_ID", "EVENT_NAME", "BASE_MESSAGE", "EVENT_DATETIME", "SOURCE_USER_NAME", "DESTINATION_USER_NAME", "FILENAME", "RV36", "RV43", "EXTENDED_INFO", "INIT_USER_ID", "AGENT", "TARGET_USER_DOMAIN", "ACTING_IDENTITY", "CORRELATION_ID", "RESOURCE_MSG") AS 
  SELECT 
    sentinel_events.id  event_id,
    sentinel_events.evt event_name,
    sentinel_events.msg base_message,
    sentinel_events.dt event_datetime,
    sentinel_events.sun source_user_name,
    sentinel_events.dun destination_user_name,
    sentinel_events.fn filename,
    sentinel_events.rv36,
    sentinel_events.rv43,
    sentinel_events.ei extended_info,
    sentinel_events.iuid init_user_id,
    sentinel_events.agent,
    sentinel_events.rv45 target_user_domain,
    COALESCE(sentinel_events.iuid, sentinel_events.sun) acting_identity,
    CASE 
    WHEN CHARINDEX('Correlation ID: ', sentinel_events.msg) != 0 
    THEN SUBSTRING(sentinel_events.msg, CHARINDEX('Correlation ID: ',sentinel_events.msg)+ len('Correlation ID: '), len(sentinel_events.msg))
    END as correlation_id,
    CASE
    WHEN CHARINDEX(';',sentinel_events.msg, CHARINDEX(';', sentinel_events.msg, CHARINDEX(';', sentinel_events.msg)+1) +1) != 0
    THEN SUBSTRING(SUBSTRING(sentinel_events.msg, CHARINDEX(';',sentinel_events.msg, CHARINDEX(';', sentinel_events.msg) +1 ) +2, CHARINDEX(';',sentinel_events.msg, CHARINDEX(';', sentinel_events.msg, CHARINDEX(';', sentinel_events.msg)+1) +1) - CHARINDEX(';',sentinel_events.msg, CHARINDEX(';', sentinel_events.msg) +1 )-1) , CHARINDEX(':',SUBSTRING(sentinel_events.msg, CHARINDEX(';',sentinel_events.msg, CHARINDEX(';', sentinel_events.msg) +1 ) +2, CHARINDEX(';',sentinel_events.msg, CHARINDEX(';', sentinel_events.msg, CHARINDEX(';', sentinel_events.msg)+1) +1) - CHARINDEX(';',sentinel_events.msg, CHARINDEX(';', sentinel_events.msg) +1 )-1)) + 1, LEN(sentinel_events.msg))
    END as resource_msg
FROM dbo.sentinel_events;
GO
GRANT SELECT ON idm_rpt_data.IDMRPT_CORR_RES_ASSIGNMENT_V  TO idmrptuser;
CREATE SYNONYM IDMRPT_CORR_RES_ASSIGNMENT_V for IDM_RPT_DATA.IDMRPT_CORR_RES_ASSIGNMENT_V; 

 