CREATE OR ALTER VIEW idm_rpt_data.idmrpt_prd_summary_cs_v AS 
SELECT TOP 100 PERCENT
	idmrpt_idv_prd.idmrpt_valid_from idmrpt_valid_from,
	idmrpt_idv_prd.idmrpt_valid_to idmrpt_valid_to,
	idmrpt_idv_prd.prd_id,
	CASE
		WHEN ltrim(rtrim(idmrpt_rpt_driver.idv_host)) = ltrim(rtrim(idmrpt_rpt_driver.idv_name)) THEN
			idmrpt_rpt_driver.idv_name
		ELSE
			idmrpt_rpt_driver.idv_name + ' (' + idmrpt_rpt_driver.idv_host + ')'
	END idv_name,
	CASE WHEN ltrim(rtrim(idmrpt_idv_prd.prd_name)) = '' THEN
			idmrpt_idv_prd.prd_dn
		ELSE
			idmrpt_idv_prd.prd_name
	END prd_name,
	idmrpt_idv_prd.prd_desc,
	CONCAT(cast(current_timestamp + 7305 as [datetime2]) , FORMAT(SYSDATETIMEOFFSET(), 'zzz'))  fake_future_date
FROM
	idm_rpt_data.idmrpt_rpt_driver_v idmrpt_rpt_driver,
	idm_rpt_data.idmrpt_idv_v idmrpt_idv,
	idm_rpt_data.idmrpt_idv_prd_cs_v idmrpt_idv_prd
WHERE
	idmrpt_rpt_driver.idv_id = idmrpt_idv.idv_id
	AND idmrpt_idv.idv_id = idmrpt_idv_prd.idv_id
	AND (CASE
		 WHEN idmrpt_idv_prd.rpt_drv_id IS NULL THEN 1
		 WHEN idmrpt_rpt_driver.rpt_drv_id = idmrpt_idv_prd.rpt_drv_id THEN 1
     ELSE 0
	   END = 1 )
ORDER BY
	idv_name,
	prd_name,
	idmrpt_valid_from;
GO
GRANT SELECT ON IDM_RPT_DATA.idmrpt_prd_summary_cs_v TO idmrptuser;
CREATE SYNONYM idmrpt_prd_summary_cs_v for IDM_RPT_DATA.idmrpt_prd_summary_cs_v;  
