CREATE OR REPLACE VIEW idm_rpt_data.idmrpt_auth_by_serv_v AS 
  SELECT sentinel_events.id event_id,
    sentinel_events.evt event_name,
    sentinel_events.msg base_message,
    sentinel_events.dt event_datetime,
    sentinel_events.ei extended_info,
    sentinel_events.dhn target_host_name,
    sentinel_events.dip target_ip_dotted,
    sentinel_events.agent,
    sentinel_events.xdastaxname xdas_taxonomy_name,
    sentinel_events.xdasoutcomename xdas_outcome_name,
    sentinel_events.sun,
    acct.identity_id,
    sentinel_events.sun target_user_name,
    (sentinel_events.xdastaxname || ' ') || sentinel_events.xdasoutcomename taxonomy_group,
    (identity.first_name || ' ') || identity.last_name targetname,
    ( SELECT DISTINCT (identity.first_name || ' ') || identity.last_name
           FROM sentinel_events sentinel_events_1
             LEFT JOIN idm_rpt_data.idmrpt_idv_acct_cs_v acct2 ON acct2.idv_acct_dn LIKE ((('cn=' || sentinel_events_1.sun) || ',') || '%')
             LEFT JOIN idm_rpt_data.idmrpt_identity_cs_v identity2 ON acct2.identity_id = identity2.identity_id
         FETCH FIRST 1 ROWS ONLY) initname,
    sentinel_events.rv45 target_user_domain
   FROM sentinel_events
     LEFT JOIN idm_rpt_data.idmrpt_idv_acct_cs_v acct ON acct.idv_acct_dn = sentinel_events.sun
     LEFT JOIN idm_rpt_data.idmrpt_identity_cs_v identity ON acct.identity_id = identity.identity_id
  WHERE (sentinel_events.dhn IS NOT NULL OR sentinel_events.dip IS NOT NULL) AND sentinel_events.sun IS NOT NULL 
    AND sentinel_events.xdastaxname = 'XDAS_AE_AUTHENTICATE_ACCOUNT' 
      AND (sentinel_events.xdasoutcomename = 'XDAS_OUT_SUCCESS'
        OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_USER_CREDENTIALS'
        OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_IDENTITY');

ALTER TABLE idm_rpt_data.idmrpt_auth_by_serv_v
  OWNER TO idm_rpt_data;
GRANT ALL ON TABLE idm_rpt_data.idmrpt_auth_by_serv_v TO idm_rpt_data;
GRANT SELECT ON TABLE idm_rpt_data.idmrpt_auth_by_serv_v TO idmrptuser;