CREATE OR REPLACE VIEW idm_rpt_data.idmrpt_self_pass_change_v AS 
SELECT sentinel_events.evt AS event_name,
    sentinel_events.msg AS base_message,
    sentinel_events.dt AS event_datetime,
    sentinel_events.sun AS source_user_name,
    sentinel_events.dun AS destination_user_name,
        CASE
            WHEN sentinel_events.dun IS NULL THEN
            CASE
                WHEN sentinel_events.sun IS NULL THEN sentinel_events.iuid
                ELSE sentinel_events.sun
            END
            ELSE sentinel_events.dun
        END AS target_user_name,
    identity.last_name,
    identity.first_name,
    identity.department,
    acct.identity_id,
    sentinel_events.rv35,
        CASE
            WHEN sentinel_events.rv35 IS NULL THEN sentinel_events.rv36
            ELSE
            CASE
                WHEN sentinel_events.rv35::text ~~ ('%cn=%'::text || 'o=%'::text) THEN ((('\'::text || split_part(sentinel_events.rv35::text, '='::text, 4)) || '\'::text) || split_part(split_part(sentinel_events.rv35::text, ','::text, 2), '='::text, 2))::character varying
                ELSE sentinel_events.rv35
            END
        END AS user_domain,
    sentinel_events.rv36,
    (sentinel_events.xdastaxname::text || ' '::text) || sentinel_events.xdasoutcomename::text AS taxonomy_group,
    sentinel_events.rv40,
    sentinel_events.ei AS extended_info,
    sentinel_events.sip AS init_ip,
    sentinel_events.tuid AS target_user_id,
    sentinel_events.agent,
    sentinel_events.xdastaxname AS xdas_taxonomy_name,
    sentinel_events.xdasoutcomename AS xdas_outcome_name
   FROM sentinel_events
     LEFT OUTER JOIN idm_rpt_data.idmrpt_idv_acct_cs_v acct ON acct.idv_acct_dn LIKE ('%' || sentinel_events.msg || '%')
    LEFT OUTER JOIN idm_rpt_data.idmrpt_identity_cs_v identity ON acct.identity_id = identity.identity_id
  WHERE
  sentinel_events.agent LIKE ('%' || 'Password Reset' || '%')
  AND sentinel_events.xdastaxname= 'XDAS_AE_SET_CRED_ACCOUNT';

ALTER TABLE idm_rpt_data.idmrpt_self_pass_change_v
  OWNER TO idm_rpt_data;
GRANT ALL ON TABLE idm_rpt_data.idmrpt_self_pass_change_v TO idm_rpt_data;
GRANT SELECT ON TABLE idm_rpt_data.idmrpt_self_pass_change_v TO idmrptuser; 