CREATE OR ALTER VIEW "IDM_RPT_DATA"."IDMRPT_APPROVER_APPROVAL_V" ("APPROVER_ID", "FIRST_NAME", "MIDDLE_INITIAL", "LAST_NAME", "APPROVER_IDMRPT_VALID_TO", "APPROVER_IDMRPT_VALID_FROM", "APPROVAL_TYPE", "ACTION", "APPROVAL_DATE", "ITEM_ID", "APPROVAL_ID", "APPROVAL_IDMRPT_VALID_TO", "APPROVAL_IDMRPT_VALID_FROM") AS 
  SELECT DISTINCT TOP 100 PERCENT approver.identity_id approver_id,
    approver.first_name,
    approver.middle_initial,
    approver.last_name,
    approver.idmrpt_valid_to approver_idmrpt_valid_to,
    approver.idmrpt_valid_from approver_idmrpt_valid_from,
    approval.approval_type,
    approval.action,
    approval.approval_date,
    approval.item_id,
    approval.identity_id approval_id,
    approval.idmrpt_valid_to approval_idmrpt_valid_to,
    approval.idmrpt_valid_from approval_idmrpt_valid_from
  FROM idm_rpt_data.idmrpt_identity_v approver,
    idm_rpt_data.idmrpt_approval_v approval
  WHERE approver.identity_id = approval.identity_id
  ORDER BY approval.approval_date;
GO
GRANT SELECT ON idm_rpt_data.idmrpt_approver_approval_v  TO idmrptuser;
CREATE SYNONYM idmrpt_approver_approval_v for IDM_RPT_DATA.idmrpt_approver_approval_v; 