CREATE OR ALTER VIEW idm_rpt_data.idmrpt_auth_by_user_v AS 
SELECT
    sentinel_events.evt event_name,
    sentinel_events.msg base_message,
    sentinel_events.dt event_datetime,
    sentinel_events.sun source_user_name,
    sentinel_events.dun destination_user_name,
    sentinel_events.rv40,
    sentinel_events.ei extended_info,
    sentinel_events.dhn target_host_name,
    sentinel_events.dip target_ip_dotted,
    sentinel_events.agent,
    sentinel_events.xdastaxname xdas_taxonomy_name,
    sentinel_events.xdasoutcomename xdas_outcome_name,
    (CONVERT(VARCHAR(MAX),sentinel_events.xdastaxname) + CONVERT(VARCHAR(MAX), ' ') + CONVERT(VARCHAR(MAX) , sentinel_events.xdasoutcomename)) taxonomy_group
   FROM dbo.sentinel_events

WHERE
(sentinel_events.dhn IS NOT NULL OR sentinel_events.dip IS NOT NULL)
        AND  (sentinel_events.xdastaxname ='XDAS_AE_AUTHENTICATE_ACCOUNT')
        AND (sentinel_events.xdasoutcomename = 'XDAS_OUT_SUCCESS'
                OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_USER_CREDENTIALS'
                OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_IDENTITY');
GO             
GRANT SELECT ON idm_rpt_data.IDMRPT_AUTH_BY_USER_V  TO idmrptuser;
CREATE SYNONYM IDMRPT_AUTH_BY_USER_V for IDM_RPT_DATA.IDMRPT_AUTH_BY_USER_V;   
     