  CREATE OR ALTER VIEW "IDM_RPT_DATA"."IDMRPT_EVENTS_V2" ("EVENT_ID", "EVENT_NAME", "BASE_MESSAGE", "EVENT_DATETIME", "SOURCE_USER_NAME", "DESTINATION_USER_NAME", "FILENAME", "INIT_USER_DOMAIN", "TARGET_USER_DOMAIN", "RV36", "RV40", "CORRELATION_ID", "RV47", "EVENT_GROUP_ID", "RV33", "RV31", "EXTENDED_INFO", "SUB_RESOURCE", "SEVERITY", "RESOURCE_NAME", "INIT_IP", "INIT_SERVICE_COMP", "INIT_USER_ID", "TARGET_ASSET_ID", "TARGET_HOST_NAME", "TARGET_IP", "TARGET_IP_DOTTED", "TARGET_TRUST_DOMAIN", "TARGET_TRUST_NAME", "TARGET_USER_ID", "TAXONOMY_ID", "AGENT", "XDAS_TAXONOMY_NAME", "XDAS_OUTCOME_NAME", "XDAS_TAXONOMY_ID", "ATTR") AS 
  SELECT
        id event_id,
        evt event_name,
        msg base_message,
        dt event_datetime,
        sun source_user_name,
        dun destination_user_name,
        fn filename,
        rv35 init_user_domain,
        rv45 target_user_domain,
        rv36,
        rv40,
        rv43 correlation_id,
        rv47,
        rv123 event_group_id,
        rv33,
        rv31,
        ei extended_info,
        sres sub_resource,
        sev severity,
        res resource_name,
        sip init_ip, 
        isvcc init_service_comp,
        iuid init_user_id,
        destassetid target_asset_id,
        dhn target_host_name,
        dip target_ip,
        dip target_ip_dotted,
        ttd target_trust_domain,
        ttn target_trust_name,
        tuid target_user_id, 
        xdasid taxonomy_id, 
        agent agent,
        xdastaxname xdas_taxonomy_name,
        xdasoutcomename xdas_outcome_name,
        xdasid xdas_taxonomy_id,
        attr
  FROM dbo.sentinel_events;
GO
GRANT SELECT ON idm_rpt_data.IDMRPT_EVENTS_V2  TO idmrptuser;
CREATE SYNONYM IDMRPT_EVENTS_V2 for IDM_RPT_DATA.IDMRPT_EVENTS_V2;