CREATE OR ALTER VIEW "IDM_RPT_DATA"."IDMRPT_RESOURCE_INFO_V" ("RES_ID", "RES_NAME", "RES_DN", "RES_DESC", "IDMRPT_SYN_STATE", "ROLE_NAME", "IDV_NAME1", "LAST_NAME", "FIRST_NAME", "MIDDLE_INITIAL", "TRUST_START_TIME", "TRUST_EXPIRATION_TIME", "IDMRPT_VALID_TO", "IDENTITY_ID", "REQUESTER_ID", "TRUST_ID", "TRUST_TYPE_ID", "IDM_RPT_DELETED", "IDV_ENT_REF", "ENT_DN", "ENT_NAME", "DRIVER_DN", "DRIVER_NAME", "FAKE_FUTURE_DATE", "ENT_VALUE", "IDV_ENT_ID", "LIID") AS 
  SELECT TOP 100 PERCENT
    idmrpt_resource.res_id,
    COALESCE(idmrpt_resource.res_name, idmrpt_resource.res_dn) res_name,
    idmrpt_resource.res_dn,
    idmrpt_resource.res_desc,
    idmrpt_resource.idmrpt_syn_state,
        CASE
            WHEN lower(idmrpt_idv_identity_trust.cause_type ) = lower('role driver') THEN (rela.role_name  + ' -- ') + rela.role_descr 
            ELSE NULL 
        END role_name,
        CASE
            WHEN ltrim(rtrim(idmrpt_rpt_driver.idv_host)) = ltrim(rtrim(idmrpt_rpt_driver.idv_name)) THEN idmrpt_rpt_driver.idv_name 
            ELSE ((idmrpt_rpt_driver.idv_name  + ' (' ) + idmrpt_rpt_driver.idv_host ) + ')'
        END idv_name1,
    idmrpt_identity.last_name,
    idmrpt_identity.first_name,
    idmrpt_identity.middle_initial,
    idmrpt_idv_identity_trust.trust_start_time,
    idmrpt_idv_identity_trust.trust_expiration_time,
    idmrpt_idv_identity_trust.idmrpt_valid_to,
    idmrpt_idv_identity_trust.identity_id,
    idmrpt_idv_identity_trust.requester_id,
    idmrpt_idv_identity_trust.trust_id,
    idmrpt_idv_identity_trust.trust_type_id,
    idmrpt_idv_identity_trust.idmrpt_deleted idm_rpt_deleted,
    idmrpt_idv_identity_trust.idv_ent_ref,
    ent.idmrpt_ent_dn ent_dn,
    ent.idmrpt_ent_name ent_name,
    driver.drv_dn driver_dn,
    driver.drv_name driver_name,
    CONVERT(VARCHAR, cast(current_timestamp + 7305 as [datetime2])) fake_future_date,
        CASE
            WHEN CONVERT(VARCHAR, binding.ent_param_str) LIKE '%ID2%' THEN ( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
               FROM idm_rpt_data.idmrpt_ms_ent_cs_v
              WHERE CONVERT(VARCHAR, idmrpt_ms_ent_cs_v.ms_ent_val) = SUBSTRING(CONVERT(VARCHAR, binding.ent_param_str), CHARINDEX('ID2', CONVERT(VARCHAR, binding.ent_param_str)) + 6, CHARINDEX('}', SUBSTRING(binding.ent_param_str , CHARINDEX('ID2', CONVERT(VARCHAR, binding.ent_param_str)) + 6, LEN(binding.ent_param_str))) - 2))
            WHEN CONVERT(VARCHAR , binding.ent_param_str) LIKE '%ID%' THEN ( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
               FROM idm_rpt_data.idmrpt_ms_ent_cs_v
              WHERE CONVERT(VARCHAR, idmrpt_ms_ent_cs_v.ms_ent_val) = SUBSTRING(binding.ent_param_str , CHARINDEX('ID', binding.ent_param_str ) + 5, CHARINDEX('}', SUBSTRING(binding.ent_param_str , CHARINDEX('ID', CONVERT(VARCHAR, binding.ent_param_str)) + 5, LEN(binding.ent_param_str))) - 2))
            WHEN CONVERT(VARCHAR, binding.ent_param_str) = '%EntitlementParamKey%'OR CONVERT(VARCHAR, binding.ent_param_val) = '%EntitlementParamKey%' THEN
            CONVERT(VARCHAR, CASE
                WHEN idmrpt_idv_identity_trust.trust_params LIKE '%ID2%'  THEN (( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
                   FROM idm_rpt_data.idmrpt_ms_ent_cs_v
                  WHERE idmrpt_ms_ent_cs_v.ms_ent_val  = SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID2', idmrpt_idv_identity_trust.trust_params ) + 6, CHARINDEX('}', SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID2', idmrpt_idv_identity_trust.trust_params ) + 6, LEN(idmrpt_idv_identity_trust.trust_params)) ) - 2))) 
                WHEN idmrpt_idv_identity_trust.trust_params LIKE '%ID%'  THEN (( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
                   FROM idm_rpt_data.idmrpt_ms_ent_cs_v
                  WHERE idmrpt_ms_ent_cs_v.ms_ent_val  = SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID', idmrpt_idv_identity_trust.trust_params ) + 5, CHARINDEX('}', SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID', idmrpt_idv_identity_trust.trust_params ) + 5, LEN(idmrpt_idv_identity_trust.trust_params)) ) - 2))) 
                ELSE SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('EntitlementParamKey', idmrpt_idv_identity_trust.trust_params ) + 21, CHARINDEX('</value>', SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('EntitlementParamKey', idmrpt_idv_identity_trust.trust_params ) + 21, LEN(idmrpt_idv_identity_trust.trust_params)) ) - 1)
            END)
            ELSE binding.ent_param_val
        END ent_value,
    ent.idv_ent_id,
    binding.ent_param_liid liid
   FROM idm_rpt_data.idmrpt_rpt_driver_v idmrpt_rpt_driver,
    idm_rpt_data.idmrpt_idv_v idmrpt_idv,
    idm_rpt_data.idmrpt_identity_cs_v idmrpt_identity,
    idm_rpt_data.idmrpt_idv_identity_trust_cs_v idmrpt_idv_identity_trust,
    idm_rpt_data.idmrpt_resource_cs_v idmrpt_resource
     LEFT JOIN idm_rpt_data.idmrpt_idv_ent_bindings_cs_v binding ON binding.cat_item_id  = idmrpt_resource.res_id 
     LEFT JOIN idm_rpt_data.idmrpt_idv_ent_cs_v ent ON binding.ent_id  = ent.idv_ent_id 
     LEFT JOIN idm_rpt_data.idmrpt_idv_drivers_cs_v driver ON ent.idv_driver_id  = driver.idv_driver_id
     LEFT JOIN idm_rpt_data.idmrpt_r_to_res_relationship_v rela ON idmrpt_resource.res_id  = rela.res_id
  WHERE idmrpt_resource.res_id  = idmrpt_idv_identity_trust.trust_obj_id AND idmrpt_rpt_driver.idv_id = idmrpt_idv.idv_id AND
        CASE
            WHEN idmrpt_resource.rpt_drv_id IS NULL THEN 1
            WHEN idmrpt_rpt_driver.rpt_drv_id = idmrpt_resource.rpt_drv_id THEN 1
            ELSE 0
        END = 1 AND idmrpt_idv.idv_id = idmrpt_resource.idv_id AND idmrpt_idv_identity_trust.identity_id = idmrpt_identity.identity_id AND
        CASE
            WHEN lower(idmrpt_idv_identity_trust.cause_type ) = lower('role driver' ) THEN (( SELECT count(1) count
               FROM idm_rpt_data.idmrpt_idv_identity_trust_v identity_trust
              WHERE identity_trust.trust_obj_id = rela.role_id AND identity_trust.identity_id = idmrpt_idv_identity_trust.identity_id))
            ELSE 1
        END = 1
  ORDER BY (COALESCE(idmrpt_resource.res_name, idmrpt_resource.res_dn)), (
        CASE
            WHEN lower(CONVERT(VARCHAR, idmrpt_idv_identity_trust.cause_type)) = lower(CONVERT(VARCHAR, 'role driver')) THEN (CONVERT(VARCHAR, rela.role_name) + CONVERT(VARCHAR, ' -- ')) + CONVERT(VARCHAR, rela.role_descr)
            ELSE NULL
        END), idmrpt_idv_identity_trust.trust_start_time, idmrpt_idv_identity_trust.idmrpt_valid_to, driver.drv_name, (
        CASE
            WHEN binding.ent_param_str LIKE '%ID2%'  THEN ( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
               FROM idm_rpt_data.idmrpt_ms_ent_cs_v
              WHERE idmrpt_ms_ent_cs_v.ms_ent_val  = SUBSTRING(binding.ent_param_str , CHARINDEX('ID2', binding.ent_param_str ) + 6, CHARINDEX('}', SUBSTRING(binding.ent_param_str , CHARINDEX('ID2', binding.ent_param_str ) + 6, LEN(binding.ent_param_str)) ) - 2))
            WHEN CONVERT(VARCHAR, binding.ent_param_str) LIKE '%ID%'  THEN ( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
               FROM idm_rpt_data.idmrpt_ms_ent_cs_v
              WHERE idmrpt_ms_ent_cs_v.ms_ent_val  = SUBSTRING(binding.ent_param_str , CHARINDEX('ID', binding.ent_param_str ) + 5, CHARINDEX('}', SUBSTRING(binding.ent_param_str , CHARINDEX('ID', binding.ent_param_str ) + 5, LEN(binding.ent_param_str)) ) - 2))
            WHEN binding.ent_param_str  = '%EntitlementParamKey%'  OR binding.ent_param_val  = '%EntitlementParamKey%'  THEN
            CONVERT(VARCHAR, CASE
                WHEN idmrpt_idv_identity_trust.trust_params LIKE '%ID2%' THEN (( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
                   FROM idm_rpt_data.idmrpt_ms_ent_cs_v
                  WHERE idmrpt_ms_ent_cs_v.ms_ent_val  = SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID2', idmrpt_idv_identity_trust.trust_params ) + 6, CHARINDEX('}', SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID2', idmrpt_idv_identity_trust.trust_params ) + 6, LEN(idmrpt_idv_identity_trust.trust_params)) ) - 2))) 
                WHEN idmrpt_idv_identity_trust.trust_params LIKE '%ID%' THEN (( SELECT idmrpt_ms_ent_cs_v.ms_ent_val_disp_name
                   FROM idm_rpt_data.idmrpt_ms_ent_cs_v
                  WHERE idmrpt_ms_ent_cs_v.ms_ent_val  = SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID', idmrpt_idv_identity_trust.trust_params ) + 5, CHARINDEX('}', SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('ID', idmrpt_idv_identity_trust.trust_params ) + 5, LEN(idmrpt_idv_identity_trust.trust_params)) ) - 2))) 
                ELSE SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('EntitlementParamKey', idmrpt_idv_identity_trust.trust_params ) + 21, CHARINDEX('</value>', SUBSTRING(idmrpt_idv_identity_trust.trust_params , CHARINDEX('EntitlementParamKey', idmrpt_idv_identity_trust.trust_params ) + 21, LEN(idmrpt_idv_identity_trust.trust_params)) ) - 1)
            END)
            ELSE binding.ent_param_val
        END), binding.ent_param_liid, idmrpt_identity.last_name, idmrpt_identity.first_name, idmrpt_identity.middle_initial;
GO
GRANT SELECT ON idm_rpt_data.idmrpt_resource_info_v  TO idmrptuser;
CREATE SYNONYM idmrpt_resource_info_v  for IDM_RPT_DATA.idmrpt_resource_info_v; 
 